Grafana up to 5.1 Dashboard 跨站脚本攻击

CVE编号

CVE-2018-12099

利用情况

暂无

补丁情况

N/A

披露时间

2018-06-12
漏洞描述
Grafana是一套提供可视化监控界面的开源监控工具。该工具主要用于监控和分析Graphite、InfluxDB和Prometheus等。

Grafana 5.2.0-beta1之前版本中的仪表盘链接存在跨站脚本漏洞。远程攻击者可利用该漏洞注入任意的Web脚本或HTML。
解决建议
厂商已发布漏洞修复程序,请及时关注更新:
https://github.com/grafana/grafana/releases/tag/v5.2.0-beta1
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 grafana grafana * Up to
(including)
5.1.3
运行在以下环境
应用 netapp active_iq_performance_analytics_services - -
运行在以下环境
应用 netapp storagegrid_webscale_nas_bridge - -
CVSS3评分
6.1
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
  • 影响范围
    已更改
  • 用户交互
    需要
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-79 在Web页面生成时对输入的转义处理不恰当(跨站脚本)
阿里云安全产品覆盖情况